import { ServiceRepresentation } from '../domain';
export declare class ServiceRepresentationChainModifier {
    representation: ServiceRepresentation;
    constructor(representation: ServiceRepresentation);
    /**
     * Modify service's name
     * @param serviceName
     * @return {ServiceRepresentationChainModifier}
     */
    name(serviceName: any): ServiceRepresentationChainModifier;
    /**
     * Modify service's category
     * @param processName
     * @return {ServiceRepresentationChainModifier}
     */
    process(processName: any): ServiceRepresentationChainModifier;
    /**
     * Modify service's config
     * @param configResolver
     * @return {ServiceRepresentationChainModifier}
     */
    config(configResolver: any): ServiceRepresentationChainModifier;
    /**
     * modify service's dependencies
     * @param servicesName
     * @return {ServiceRepresentationChainModifier}
     */
    dependency(servicesName: any): ServiceRepresentationChainModifier;
    /**
     * Publish this service upon IPC-Hub
     * @param {boolean} enable
     */
    publish(enable?: boolean): void;
}
